#include "linenumberarea.h"

LineNumberArea::LineNumberArea(CodeEditor *parent) :
    QWidget(parent),
    codeEditor(parent)
{}

QSize LineNumberArea::sizeHint() const
{
    return QSize(codeEditor->lineNumberAreaWidth(), 0);
}

void LineNumberArea::paintEvent(QPaintEvent *event)
{
    codeEditor->lineNumberAreaPaintEvent(event);
}